indexing
   TITLE:       "Simple Duration"
   CLUSTER:     "Time & Date - Timespan"
   PROJECT:     "SIG Moscow Cluster library"
   COPYRIGHT:   "SIG Computer Inc, Moscow", 1995
   AUTHOR:      "Alexei Simonov"
   APPROVED_BY: "Frieder Monninger"
   ORIGINAL:    "3,June,95"
   VERSION:     "1.0"
   DONE_AT:     "SIG Computer Inc, Moscow (info@eiffel.ru)"
   LICENSE:     "GNU Library GPL - see included readme file"


deferred class SIMPLE_DURATION

   inherit
      COMPARABLE
         redefine
            infix "<"
         end

      TIME_SERVER
         undefine
            is_equal
      -- only necessary as ISE EIffel redefines is_equal in COMPARABLE    
         end

      MATH_UTILS
        undefine 
            is_equal
         end

   feature { ANY }

      clear is

         deferred
         end -- clear     

      infix "<" ( ts : like CURRENT ) : BOOLEAN is

         deferred
         end -- infix "<" 


      infix "+", 
      plus( d : like CURRENT ) : like CURRENT is

         deferred
         end -- infix "+", plus      


      infix "-", 
      minus( d : like CURRENT ) :  like CURRENT is

         deferred
         end -- infix "-", minus     


      ratio,divide_by_duration( d : like CURRENT ) :  REAL is

         deferred
         end -- ratio,divide_by_duration        


      multiply_by( n: INTEGER ) :  like CURRENT is

         deferred
         end -- multiply_by          


      divide_by( n: INTEGER ) :  like CURRENT is

         deferred
         end -- divide_by 

   end -- class SIMPLE_DURATION



