indexing
   title:       "FRENCH_TIME_TOOLS"
   cluster:     "timedate [timedate]";
   project:     "The Universal Time & Date UTDC";
   copyright:   "SIG Computer, 1995";
   author:      "Alexei Simonov (alex@eiffel.ru)";
   approved_by: "Frieder Monninger";
   original:    "22,Sep,95"
   version:     "1.0"
   done_at:     "SIG Computer (info@eiffel.ru)";
   license:     "GNU Library GPL - see included readme file";
   extrnl_name: "timefren.e";

class FRENCH_TIME_TOOLS

   inherit
      TIME_TOOLS
         redefine
            days,
            monthes
        end;

   feature { NONE }

      days : ARRAY [ STRING ] is
         once
            Result := <<
               "LUNDI",
               "MARDI",
               "MERCREDI",
               "JEUDI",
               "VENDREDI",
               "SAMEDI",
               "DIMANCHE"
            >>;
         end -- days

      monthes : ARRAY [ STRING ] is
         once
            Result := <<
               "JANVIER",
               "FEVRIER",
               "MARS",
               "AVRIL",
               "MAI",
               "JUIN",
               "JUILLET",
               "AOUT",
               "SEPTEMBRE",
               "OCTOBRE",
               "NOVEMBRE",
               "DECEMBRE"
            >>;
         end -- monthes

end -- class FRENCH_TIME_TOOLS

